For Developers

Create Transformation

POST https://ed.link/api/v2/teams/:team_id/integrations/:integration_id/transformations

Creates a new transformation and attaches it to the integration.

Permissions

Requires the transformations.update system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:integration_idUUIDYesThe ID of the integration.

Request Body

PropertyTypeRequiredDescription
nameStringYesName of the transformation.
typeStringYesType of transformation to apply.
targetStringYesTarget entity and field name.
configurationObjectYesParameter settings for the transformation.

Sample Request

const response = await axios.post(
    `https://ed.link/api/v2/teams/${team_id}/integrations/${integration_id}/transformations`,
    {
        name: 'Standardize Student Email Domain',
        type: 'format_email',
        target: 'people.email',
        configuration: {
            domain: 'students.oakridge.k12.org'
        }
    },
    {
        headers: {
            authorization: `Bearer ${user_session_token}`,
            'content-type': 'application/json'
        }
    }
);

Sample Response

{
    "$data": {
        "id": "18492019-4819-4bb4-8172-401928472910",
        "name": "Standardize Student Email Domain",
        "type": "format_email",
        "target": "people.email"
    }
}